<template>
  <v-tooltip bottom open-delay="0" transition="none">
    <template v-slot:activator="{ on, attrs }">
      <v-btn
          v-on="on"
          v-bind="attrs"
          icon
          small
          :value="$attrs.value"
          class="omm-app-button"
          :class="btnClass || 'ma-1 pa-1'"
          @click="$emit('click', $event)"
      >
        <v-icon small>{{ icon }}</v-icon>
      </v-btn>
    </template>
    <span>{{ tooltipText }}</span>
  </v-tooltip>
</template>

<script>
import { defineComponent } from '@vue/composition-api';

export default defineComponent({
  name: "AppButton",
  props: {
    tooltipText: {
      type: String,
      default: ''
    },
    icon: {
      type: String,
      required: true
    },
    btnClass: {
      type: String
    }
  }
});
</script>